Bug 1005033 - [abrt] empathy-3.9.91-2.fc20: type_check_is_value_type_U: Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
[abrt] empathy-3.9.91-2.fc20: type_check_is_value_type_U: Process /usr/libexe...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:8d6231fbce3583c0a503ae95aba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 01:08 EDT by Igor Gnatenko
Modified: 2015-06-29 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.21 KB, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (75.96 KB, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: dso_list (24.19 KB, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: environ (936 bytes, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: maps (128.79 KB, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: open_fds (1.59 KB, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-09-06 01:09 EDT, Igor Gnatenko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 708471 None None None Never

  None (edit)
Description Igor Gnatenko 2013-09-06 01:08:59 EDT
Version-Release number of selected component:
empathy-3.9.91-2.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/empathy-chat
kernel:         3.11.0-3.fc20.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4114
 #1 g_type_check_is_value_type at gtype.c:4143
 #2 g_value_type_compatible at gvalue.c:498
 #3 g_value_object_collect_value at gobject.c:3686
 #4 gtk_tree_store_set_valist_internal at gtktreestore.c:1049
 #5 gtk_tree_store_set_valist at gtktreestore.c:1148
 #6 gtk_tree_store_set at gtktreestore.c:1190
 #7 individual_store_contact_update at empathy-individual-store.c:658
 #8 empathy_individual_store_add_individual at empathy-individual-store.c:377
 #9 individual_store_add_individual_and_connect at empathy-individual-store.c:811
Comment 1 Igor Gnatenko 2013-09-06 01:09:04 EDT
Created attachment 794577 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-06 01:09:07 EDT
Created attachment 794578 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-09-06 01:09:13 EDT
Created attachment 794579 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-09-06 01:09:17 EDT
Created attachment 794580 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-09-06 01:09:20 EDT
Created attachment 794581 [details]
File: environ
Comment 6 Igor Gnatenko 2013-09-06 01:09:23 EDT
Created attachment 794582 [details]
File: exploitable
Comment 7 Igor Gnatenko 2013-09-06 01:09:27 EDT
Created attachment 794583 [details]
File: limits
Comment 8 Igor Gnatenko 2013-09-06 01:09:30 EDT
Created attachment 794584 [details]
File: maps
Comment 9 Igor Gnatenko 2013-09-06 01:09:34 EDT
Created attachment 794585 [details]
File: open_fds
Comment 10 Igor Gnatenko 2013-09-06 01:09:37 EDT
Created attachment 794586 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2013-09-08 14:28:32 EDT
Nothing. Conference window was closed and restarted

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/empathy-chat
kernel:         3.11.0-3.fc20.x86_64
package:        empathy-3.9.91-2.fc20
reason:         Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
runlevel:       unknown
uid:            1000
Comment 12 Igor Gnatenko 2013-09-19 05:58:04 EDT
#0  type_check_is_value_type_U (type=<optimized out>, type@entry=36880960) at gtype.c:4114
#1  g_type_check_is_value_type (type=type@entry=36880960) at gtype.c:4143
#2  0x0000003832236c01 in g_value_type_compatible (src_type=36880960, dest_type=35748544) at gvalue.c:498
#3  0x0000003832214f08 in g_value_object_collect_value (value=0x7fff8b89a630, n_collect_values=<optimized out>, collect_values=<optimized out>, 
    collect_flags=<optimized out>) at gobject.c:3686
#4  0x000000365c2dc936 in gtk_tree_store_set_valist_internal (tree_store=tree_store@entry=0x25381f0, iter=iter@entry=0x228c260, 
    emit_signal=emit_signal@entry=0x7fff8b89a6e0, maybe_need_sort=maybe_need_sort@entry=0x7fff8b89a6e4, var_args=var_args@entry=0x7fff8b89a720) at gtktreestore.c:1049
#5  0x000000365c2de5ae in gtk_tree_store_set_valist (tree_store=0x25381f0, iter=0x228c260, var_args=var_args@entry=0x7fff8b89a720) at gtktreestore.c:1148
#6  0x000000365c2de6d4 in gtk_tree_store_set (tree_store=<optimized out>, iter=iter@entry=0x228c260) at gtktreestore.c:1190
#7  0x00000036618561c4 in individual_store_contact_update (self=0x25381f0, individual=0x28eb2c0) at empathy-individual-store.c:658
#8  0x0000003832210408 in g_closure_invoke (closure=0x28f36a0, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0x7fff8b89ab00, 
    invocation_hint=invocation_hint@entry=0x7fff8b89aaa0) at gclosure.c:777
#9  0x0000003832222fad in signal_emit_unlocked_R (node=node@entry=0x21f9730, detail=detail@entry=1715, instance=instance@entry=0x28eb2c0, 
    emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff8b89ab00) at gsignal.c:3586
#10 0x000000383222b17b in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff8b89ac90)
    at gsignal.c:3330
#11 0x000000383222b41f in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3386
#12 0x0000003832214b35 in g_object_dispatch_properties_changed (object=0x28eb2c0, n_pspecs=1, pspecs=0x0) at gobject.c:1047
#13 0x0000003832214442 in g_object_notify_queue_thaw (object=object@entry=0x28eb2c0, nqueue=nqueue@entry=0x2b00380) at gobject.c:292
#14 0x00000038322175b3 in g_object_thaw_notify (object=0x28eb2c0) at gobject.c:1278
#15 0x0000003851a2a5dd in __lambda53_ (p=0x2879310, self=0x28eb2c0) at individual.c:4473
#16 ___lambda53__folks_individual_single_valued_property_setter (chosen_persona=chosen_persona@entry=0x289c730, self=self@entry=0x28eb2c0) at individual.c:4482
#17 0x0000003851a2aec2 in _folks_individual_update_single_valued_property (self=self@entry=0x28eb2c0, interface_type=39534944, 
    filter_func=filter_func@entry=0x3851a2a220 <___lambda51__folks_individual_property_filter>, filter_func_target=filter_func_target@entry=0x28eb2c0, 
    compare_func=compare_func@entry=0x3851a28300 <___lambda52__gcompare_func>, prop_name=prop_name@entry=0x3851a5229b "presence", 
    setter=setter@entry=0x3851a2a450 <___lambda53__folks_individual_single_valued_property_setter>, setter_target=setter_target@entry=0x28eb2c0) at individual.c:3837
#18 0x0000003851a2b5a5 in _folks_individual_update_presence (self=0x28eb2c0) at individual.c:4488
#19 0x0000003832210408 in g_closure_invoke (closure=0x28f2360, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0x7fff8b89b140, 
    invocation_hint=invocation_hint@entry=0x7fff8b89b0e0) at gclosure.c:777
#20 0x0000003832222fad in signal_emit_unlocked_R (node=node@entry=0x21f9730, detail=detail@entry=1715, instance=instance@entry=0x289c730, 
    emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff8b89b140) at gsignal.c:3586
#21 0x000000383222b17b in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff8b89b2d0)
    at gsignal.c:3330
#22 0x000000383222b41f in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3386
#23 0x0000003832214b35 in g_object_dispatch_properties_changed (object=0x289c730, n_pspecs=1, pspecs=0x0) at gobject.c:1047
#24 0x00000038322173c9 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x289c730) at gobject.c:1141
#25 g_object_notify (object=0x289c730, property_name=<optimized out>) at gobject.c:1183
#26 0x000000302940c820 in _tpf_persona_contact_notify_presence_type (self=0x289c730) at tpf-persona.c:3384
#27 0x0000003832210408 in g_closure_invoke (closure=0x28c0230, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0x7fff8b89b5d0, 
    invocation_hint=invocation_hint@entry=0x7fff8b89b570) at gclosure.c:777
#28 0x0000003832222fad in signal_emit_unlocked_R (node=node@entry=0x21f9730, detail=detail@entry=1715, instance=instance@entry=0x26c8a60, 
---Type <return> to continue, or q <return> to quit---
    emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fff8b89b5d0) at gsignal.c:3586
#29 0x000000383222b17b in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fff8b89b760)
    at gsignal.c:3330
#30 0x000000383222b41f in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3386
#31 0x0000003832214b35 in g_object_dispatch_properties_changed (object=0x26c8a60, n_pspecs=1, pspecs=0x0) at gobject.c:1047
#32 0x00000038322173c9 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x26c8a60) at gobject.c:1141
#33 g_object_notify (object=object@entry=0x26c8a60, property_name=property_name@entry=0x385937db0b "presence-type") at gobject.c:1183
#34 0x0000003859303395 in contact_maybe_set_simple_presence (contact=0x26c8a60, presence=<optimized out>) at contact.c:2415
#35 0x0000003859303c10 in contacts_presences_changed (connection=0x23a0160, presences=presences@entry=0x26a1860 = {...}, user_data=user_data@entry=0x0, 
    weak_object=weak_object@entry=0x0) at contact.c:2492
#36 0x00000038592d3495 in _tp_cli_connection_interface_simple_presence_invoke_callback_for_presences_changed (tpproxy=0x23a0160, error=<optimized out>, 
    args=0x479c180, generic_callback=0x3859303bc0 <contacts_presences_changed>, user_data=0x0, weak_object=0x0) at _gen/tp-cli-connection-body.h:17127
#37 0x0000003859354ecc in tp_proxy_signal_invocation_run (p=0x47ba960) at proxy-signals.c:268
#38 0x0000003831649256 in g_main_dispatch (context=0x2220460) at gmain.c:3065
#39 g_main_context_dispatch (context=context@entry=0x2220460) at gmain.c:3641
#40 0x00000038316495d8 in g_main_context_iterate (context=context@entry=0x2220460, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3712
#41 0x000000383164968c in g_main_context_iteration (context=0x2220460, context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3773
#42 0x0000003832aa1d24 in g_application_run (application=0x22340e0, argc=argc@entry=1, argv=argv@entry=0x7fff8b89bca8) at gapplication.c:1635
#43 0x0000000000409627 in main (argc=1, argv=0x7fff8b89bca8) at empathy-chat.c:158
Comment 13 Aleksander Morgado 2013-09-20 03:23:41 EDT
I get this issue like 10 times a day, pretty annoying.
Comment 14 Igor Gnatenko 2013-09-20 11:49:10 EDT
Nothing actually

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/empathy-chat
kernel:         3.11.1-300.fc20.x86_64
package:        empathy-3.9.92-1.fc20
reason:         Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 15 Igor Gnatenko 2013-09-20 11:54:57 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=708471
Comment 16 Igor Gnatenko 2013-09-26 06:42:12 EDT
nothing...

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/empathy-chat
kernel:         3.11.1-300.fc20.x86_64
package:        empathy-3.10.0-1.fc20
reason:         Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 17 Aleksander Morgado 2013-10-07 07:11:51 EDT
I'm running empathy on jhbuild from git master and the bug disappeared; likely because of this fix:

https://mail.gnome.org/archives/commits-list/2013-September/msg09446.html

Can anyone update empathy in Fedora with this fix on?
Comment 18 Aleksander Morgado 2013-10-10 03:33:15 EDT
It's just a random crash when a chat room is open.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/empathy-chat
kernel:         3.11.3-301.fc20.x86_64
package:        empathy-3.10.0-1.fc20
reason:         Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Fedora End Of Life 2015-05-29 05:22:16 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 08:20:12 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.